cvp.vo

## Class PrescrizioneDiff

- java.lang.Object
- - cvp.vo.PrescrizioneDiff

-     public class PrescrizioneDiff
      extends java.lang.Object

  Contiene i dati della prescrizione cartacea.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `altro` Indicazione di trattamento di una patologia cronica o non cronica per farmaceutica, altro per specialistica
    `private java.lang.String` | `aslAssistito` Asl di residenza dell'assistito, Elemento facoltativo
    `private java.lang.String` | `cfAssistito` Elemento obbligatorio (solo se presente su promemoria).
    `private java.lang.String` | `cfMedico1` Codice fiscale del medico che appare sul promemoria cartaceo dal quale si è erogato senza visualizzare i dati elettronici, Elemento facoltativo
    `private java.lang.String` | `classePriorita` Classe di priorita' della prescrizione, altro per specialistica
    `private java.lang.String` | `codDiagnosi` Codice diagnosi o del sospetto diagnostico, Elemento facoltativo
    `private java.lang.String` | `codEsenzione` Codice esenzione come appare sul promemoria cartaceo dal quale si è erogato senza visualizzare i dati elettronici, Elemento facoltativo
    `private java.lang.String` | `cognNome` Cognome e nome dell'assistito, Elemento facoltativo
    `private java.lang.String` | `dataCompilazione` Data compilazione della ricetta, formato dd/MM/yyyy hh:mm:ss
    `private java.lang.String` | `descrizioneDiagnosi` Descrizione della diagnosi o del sospetto diagnostico in testo libero, Elemento facoltativo
    `private java.lang.String` | `dispReg` Disposizioni regionali specifiche, Elemento facoltativo
    `private ElencoDettagliPrescrizioniDiff` | `elencoDettagliPrescrizioniDiff` Contiene l'elenco delle prestazioni
    `private java.lang.String` | `indicazionePrescr` S - Suggerita, H - Ricovero
    `private java.lang.String` | `indirizzo` Indirizzo dell'assistito, Elemento facoltativo
    `private java.lang.String` | `nonEsente` Codice biffatura "NON ESENTE" come appare sul promemoria cartaceo dal quale si è erogato senza visualizzare i dati elettronici.
    `private java.lang.String` | `provAssistito` Provincia di residenza dell'assistito, Elemento facoltativo
    `private java.lang.String` | `tipoRic` Tipologia della ricetta compilata, Elemento facoltativo
    `private java.lang.String` | `tipoVisita` A - Ambulatoriale, D - Domiciliare, Elemento facoltativo

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrescrizioneDiff()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAltro()`
    `java.lang.String` | `getAslAssistito()`
    `java.lang.String` | `getCfAssistito()`
    `java.lang.String` | `getCfMedico1()`
    `java.lang.String` | `getClassePriorita()`
    `java.lang.String` | `getCodDiagnosi()`
    `java.lang.String` | `getCodEsenzione()`
    `java.lang.String` | `getCognNome()`
    `java.lang.String` | `getDataCompilazione()`
    `java.lang.String` | `getDescrizioneDiagnosi()`
    `java.lang.String` | `getDispReg()`
    `ElencoDettagliPrescrizioniDiff` | `getElencoDettagliPrescrizioniDiff()`
    `java.lang.String` | `getIndicazionePrescr()`
    `java.lang.String` | `getIndirizzo()`
    `java.lang.String` | `getNonEsente()`
    `java.lang.String` | `getProvAssistito()`
    `java.lang.String` | `getTipoRic()`
    `java.lang.String` | `getTipoVisita()`
    `void` | `setAltro(java.lang.String altro)`
    `void` | `setAslAssistito(java.lang.String aslAssistito)`
    `void` | `setCfAssistito(java.lang.String cfAssistito)`
    `void` | `setCfMedico1(java.lang.String cfMedico1)`
    `void` | `setClassePriorita(java.lang.String classePriorita)`
    `void` | `setCodDiagnosi(java.lang.String codDiagnosi)`
    `void` | `setCodEsenzione(java.lang.String codEsenzione)`
    `void` | `setCognNome(java.lang.String cognNome)`
    `void` | `setDataCompilazione(java.lang.String dataCompilazione)`
    `void` | `setDescrizioneDiagnosi(java.lang.String descrizioneDiagnosi)`
    `void` | `setDispReg(java.lang.String dispReg)`
    `void` | `setElencoDettagliPrescrizioniDiff(ElencoDettagliPrescrizioniDiff elencoDettagliPrescrizioniDiff)`
    `void` | `setIndicazionePrescr(java.lang.String indicazionePrescr)`
    `void` | `setIndirizzo(java.lang.String indirizzo)`
    `void` | `setNonEsente(java.lang.String nonEsente)`
    `void` | `setProvAssistito(java.lang.String provAssistito)`
    `void` | `setTipoRic(java.lang.String tipoRic)`
    `void` | `setTipoVisita(java.lang.String tipoVisita)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cfMedico1

          private java.lang.String cfMedico1

      Codice fiscale del medico che appare sul promemoria cartaceo dal quale si è erogato senza visualizzare i dati elettronici, Elemento facoltativo

    - #### cfAssistito

          private java.lang.String cfAssistito

      Elemento obbligatorio (solo se presente su promemoria). Se il cfAssistito non è presente sul promemoria, perché la ricetta è prescritta ad uno straniero, non è necessario indicare i dati del soggetto assicurato da istituzioni estere (vedi di seguito), se coincidono tra dato elettronico visualizzato e dato del promemoria.

    - #### tipoRic

          private java.lang.String tipoRic

      Tipologia della ricetta compilata, Elemento facoltativo

    - #### cognNome

          private java.lang.String cognNome

      Cognome e nome dell'assistito, Elemento facoltativo

    - #### indirizzo

          private java.lang.String indirizzo

      Indirizzo dell'assistito, Elemento facoltativo

    - #### codEsenzione

          private java.lang.String codEsenzione

      Codice esenzione come appare sul promemoria cartaceo dal quale si è erogato senza visualizzare i dati elettronici, Elemento facoltativo

    - #### nonEsente

          private java.lang.String nonEsente

      Codice biffatura "NON ESENTE" come appare sul promemoria cartaceo dal quale si è erogato senza visualizzare i dati elettronici. Impostare sempre con uno dei due Valori ammessi: "null" = ricetta per assistito esente, 1= ricetta per assistito non esente, Elemento facoltativo

    - #### codDiagnosi

          private java.lang.String codDiagnosi

      Codice diagnosi o del sospetto diagnostico, Elemento facoltativo

    - #### descrizioneDiagnosi

          private java.lang.String descrizioneDiagnosi

      Descrizione della diagnosi o del sospetto diagnostico in testo libero, Elemento facoltativo

    - #### dataCompilazione

          private java.lang.String dataCompilazione

      Data compilazione della ricetta, formato dd/MM/yyyy hh:mm:ss

    - #### tipoVisita

          private java.lang.String tipoVisita

      A - Ambulatoriale, D - Domiciliare, Elemento facoltativo

    - #### dispReg

          private java.lang.String dispReg

      Disposizioni regionali specifiche, Elemento facoltativo

    - #### provAssistito

          private java.lang.String provAssistito

      Provincia di residenza dell'assistito, Elemento facoltativo

    - #### aslAssistito

          private java.lang.String aslAssistito

      Asl di residenza dell'assistito, Elemento facoltativo

    - #### indicazionePrescr

          private java.lang.String indicazionePrescr

      S - Suggerita, H - Ricovero

    - #### altro

          private java.lang.String altro

      Indicazione di trattamento di una patologia cronica o non cronica per farmaceutica, altro per specialistica

    - #### classePriorita

          private java.lang.String classePriorita

      Classe di priorita' della prescrizione, altro per specialistica

    - #### elencoDettagliPrescrizioniDiff

          private ElencoDettagliPrescrizioniDiff elencoDettagliPrescrizioniDiff

      Contiene l'elenco delle prestazioni

  - ### Constructor Detail

    - #### PrescrizioneDiff

          public PrescrizioneDiff()

  - ### Method Detail

    - #### getCfMedico1

          public java.lang.String getCfMedico1()

    - #### setCfMedico1

          public void setCfMedico1(java.lang.String cfMedico1)

    - #### getCfAssistito

          public java.lang.String getCfAssistito()

    - #### setCfAssistito

          public void setCfAssistito(java.lang.String cfAssistito)

    - #### getTipoRic

          public java.lang.String getTipoRic()

    - #### setTipoRic

          public void setTipoRic(java.lang.String tipoRic)

    - #### getCognNome

          public java.lang.String getCognNome()

    - #### setCognNome

          public void setCognNome(java.lang.String cognNome)

    - #### getIndirizzo

          public java.lang.String getIndirizzo()

    - #### setIndirizzo

          public void setIndirizzo(java.lang.String indirizzo)

    - #### getCodEsenzione

          public java.lang.String getCodEsenzione()

    - #### setCodEsenzione

          public void setCodEsenzione(java.lang.String codEsenzione)

    - #### getNonEsente

          public java.lang.String getNonEsente()

    - #### setNonEsente

          public void setNonEsente(java.lang.String nonEsente)

    - #### getCodDiagnosi

          public java.lang.String getCodDiagnosi()

    - #### setCodDiagnosi

          public void setCodDiagnosi(java.lang.String codDiagnosi)

    - #### getDescrizioneDiagnosi

          public java.lang.String getDescrizioneDiagnosi()

    - #### setDescrizioneDiagnosi

          public void setDescrizioneDiagnosi(java.lang.String descrizioneDiagnosi)

    - #### getDataCompilazione

          public java.lang.String getDataCompilazione()

    - #### setDataCompilazione

          public void setDataCompilazione(java.lang.String dataCompilazione)

    - #### getTipoVisita

          public java.lang.String getTipoVisita()

    - #### setTipoVisita

          public void setTipoVisita(java.lang.String tipoVisita)

    - #### getDispReg

          public java.lang.String getDispReg()

    - #### setDispReg

          public void setDispReg(java.lang.String dispReg)

    - #### getProvAssistito

          public java.lang.String getProvAssistito()

    - #### setProvAssistito

          public void setProvAssistito(java.lang.String provAssistito)

    - #### getAslAssistito

          public java.lang.String getAslAssistito()

    - #### setAslAssistito

          public void setAslAssistito(java.lang.String aslAssistito)

    - #### getIndicazionePrescr

          public java.lang.String getIndicazionePrescr()

    - #### setIndicazionePrescr

          public void setIndicazionePrescr(java.lang.String indicazionePrescr)

    - #### getAltro

          public java.lang.String getAltro()

    - #### setAltro

          public void setAltro(java.lang.String altro)

    - #### getClassePriorita

          public java.lang.String getClassePriorita()

    - #### setClassePriorita

          public void setClassePriorita(java.lang.String classePriorita)

    - #### getElencoDettagliPrescrizioniDiff

          public ElencoDettagliPrescrizioniDiff getElencoDettagliPrescrizioniDiff()

    - #### setElencoDettagliPrescrizioniDiff

          public void setElencoDettagliPrescrizioniDiff(ElencoDettagliPrescrizioniDiff elencoDettagliPrescrizioniDiff)